انجمن‌های فارسی اوبونتو

کمک و پشتیبانی => سایر توزیع‌های گنو/لینوکس => نویسنده: امیر و در 17 امرداد 1389، 01:14 ق‌ظ

عنوان: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 01:14 ق‌ظ
سلام دوستان.

چند روزی هست که سرعت اینترنتم خیلی کم شده !

توی ویندوز سرعت دانلود حدود ۲۰۰ هست اما اینجا کمتر از ۲۰ !

چه دلیلی میتونه داشته باشه ؟

من آرچ 64 بیت دارم.

عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 07:41 ق‌ظ
امیر جان شما استادی اما گاهی ممکنه پیش بیاد!
به 200kbps و 20kBps دقت کردی؟؟
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: eMan در 17 امرداد 1389، 07:45 ق‌ظ
نه مهدی جان مشکل جای دیگست
چون امیر با ویندوز شبی 3 گیگ توی 5 ساعت دانلود میکنه و این یعنی سرعتش توی ویندوز روی رنج 200 KB بوده  ;) احتمالا یه برنامه ای توی آرچ نصب کرده کار ها رو خراب کرده  ;) امیر چیزی به نظرت نمیاد ؟ مثلا برنامه ای که توی این دو سه رو نصب کرده باشی ؟ و داره از نت استفاده میکنه ( کل برنامه ها رو ببند و چراغ مودم رو نگاه کن ببین چشمک میزنه منظورم اینه که ببین در حال ترانسفر هست یا نه ) ( یوقت یه برنامه توی پس زمینه داره شیطونی میکنه  ;D )
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 08:03 ق‌ظ
کل برنامه ها رو ببند و چراغ مودم رو نگاه کن ببین چشمک میزنه منظورم اینه که ببین در حال ترانسفر هست یا نه
یک روش تقریبا کارآمد و متعلق به عصر پارینه سنگی ;)
می تونی از ابزار های مونیتورینگ شبکه استفاده کنی!
Bandwidthd - ntop - cacti - dstat - ipband - ifstat - ifstatus و ... که میتونی با سرچ باز هم پیدا کنی...
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: eMan در 17 امرداد 1389، 08:13 ق‌ظ
کل برنامه ها رو ببند و چراغ مودم رو نگاه کن ببین چشمک میزنه منظورم اینه که ببین در حال ترانسفر هست یا نه
یک روش تقریبا کارآمد و متعلق به عصر پارینه سنگی ;)
:lolflag:
ولی بد هم نیست مهدی جون  ;)
منم خودم از knemo استفاده میکنم ولی خب اینم یه روشه ;D
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 08:23 ق‌ظ
منم که گفتم تقریبا کارآمد 8)
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 12:35 ب‌ظ
امیر جان شما استادی اما گاهی ممکنه پیش بیاد!
به 200kbps و 20kBps دقت کردی؟؟
شما سروری مهدی جان.

آره اونش که هر دو کیلوبیته ! این میخواد یه فایل ۳ مگی دانلود کنه جونش در میاد.

در مورد چراغ ِ چشمک زن هم من Knemo دارم اون ترنسفر رو نشون میده. مقدار حجم دانلود و آپلود کم و زیاد نمیشه!

به قول ایمان اگه برنامه ای شیطونی ای بکنه دانلود یا آپلود میشه و Knemo نشونش میده.

نمیدونم چشه !

به هر حال ممنون از مهدی و ایمان عزیز.

اگه چیز دیگه ای به فکرتون رسید بگین.

ممنون.
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 01:02 ب‌ظ
تقریبا نامربوط!
دو سه تا پینگ بگیر ببین تایمش در چه حاله...
اول ip ر ISP  محترم...
دوم irib.ir (عمو عزت)
سوم گوگل...
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 01:14 ب‌ظ
تقریبا نامربوط!
دو سه تا پینگ بگیر ببین تایمش در چه حاله...
اول ip ر ISP  محترم...
دوم irib.ir (عمو عزت)
سوم گوگل...
تایمش بالای 200 ِ .

الان ۳۰ مگ آپدیت کرنل اومده بودِ جونش درومد تا دانلود کرد. ۱۰ بار قطع شد.

حالا پکمن رو باید یکم سیخش کنم شاید درست شه ...
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 01:22 ب‌ظ
اگه هر سه مورد تایمشون تقریبا یکی بود میشه گفت مشکل از ISP یا اینترنت منطقه نیست...
از خودتونه...
پیشنهاد بعدی:
با یه دیسک زنده بیا بالا و تست کن...
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 01:48 ب‌ظ
درست شد ! درست ِ درست که نه ! اما بهتر شد.

میدونی چیکار کردم ؟

Mirrorlist رو Rank کردم ... یعنی اومدم از بین تمام میرور لیستها ۶ تایی که سرعتشون از همه بیشتر بود رو انتخاب کردم.

اینطوری :

# cd /etc/pacman.d
# cp mirrorlist mirrorlist.backup
# rankmirrors -n 6 mirrorlist.backup > mirrorlist
و در نهایت :
pacman -Sy
سرعت دانلود اومد رو ۸۰ !! اما هنوز سرعتش به IDM تو ویندوز نمیرسه !
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 17 امرداد 1389، 01:52 ب‌ظ
با پکمن که دانلود میکنی گاهی اینجوری میشه. با سوییچ -p اجراش کن مثلا
pacman -Syup
بعد اونوقت لینکهاش رو بگیر با مثلا aria2c دانلود کن (من یه اسکریپت نوشتم واسه اینکار، نمیدونم چرا گاهی پکمن بازی در میاره)‌ ببین چی میشه.
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 02:02 ب‌ظ
با پکمن که دانلود میکنی گاهی اینجوری میشه. با سوییچ -p اجراش کن مثلا
pacman -Syup
بعد اونوقت لینکهاش رو بگیر با مثلا aria2c دانلود کن (من یه اسکریپت نوشتم واسه اینکار، نمیدونم چرا گاهی پکمن بازی در میاره)‌ ببین چی میشه.
منظورت اینه ؟

مثلا :

sudo pacman -S -p amarok >>pkg.txt
که لینکهای دانلود amarok رو تو فایل تکست ذخیره میکنه. آره ؟
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: sunpda در 17 امرداد 1389، 02:31 ب‌ظ
.....
سرعت دانلود اومد رو ۸۰ !! اما هنوز سرعتش به IDM تو ویندوز نمیرسه !
خوب معلومه idm با تکه تکه کردن فایل سرعت رو بالا میبره ، اما pacman چنین کاری رو نمیکنه ، شما باید تو ویندوز با اینتر نت اکسپلورر یا فایر فاکس یک فایل رو از مخازن آرچ دانلود کنی و سرعتش رو با دانلود pacman  مقایسه کنی


.....
مثلا :
sudo pacman -S -p amarok >>pkg.txt که لینکهای دانلود amarok رو تو فایل تکست ذخیره میکنه. آره ؟

یه سوال نسبتا نامربوط
کسی روش این کار رو تو فدورا بلده (یعنی ذخیره کردن آدرس فایلهایی که باید دانلود بشوند داخل یک فایل) ، تو انجمن فدورا پرسیدم کسی جواب درست حسابی نداد
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 17 امرداد 1389، 03:22 ب‌ظ
با پکمن که دانلود میکنی گاهی اینجوری میشه. با سوییچ -p اجراش کن مثلا
pacman -Syup
بعد اونوقت لینکهاش رو بگیر با مثلا aria2c دانلود کن (من یه اسکریپت نوشتم واسه اینکار، نمیدونم چرا گاهی پکمن بازی در میاره)‌ ببین چی میشه.
منظورت اینه ؟

مثلا :

sudo pacman -S -p amarok >>pkg.txt
که لینکهای دانلود amarok رو تو فایل تکست ذخیره میکنه. آره ؟

یه جورایی آره. البته برای اینکه دو تا opt بدی لازم نیست دو تا منها بزنی مثلا اونی که تو نوشتی معادل اینه :
sudo pacman -Sp amarok >>pkg.txt من معمولا برای آپدیت اینکار رو انجام میدم. یعنی یه اسکریپت نوشتم اینکارو انجام میده، وقت بررسی آپدیت فقط همونو اجرا میکنم، با پکمن لیست فایلها رو میگیره، با آریا دانلود میکنه تو فولدر cache مربوط به پکمن بعد دوباره آپدیت میکنه.

در مورد فدورا man مربوط به yum رو چک کن، احتمالا داره یه چیزی.
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 17 امرداد 1389، 03:36 ب‌ظ
هی گفتم یه اسکریپت نوشتم :)‌ اینجا بذارمش :‌ (قبلش aria۲ رو نصب کنید)
# !/bin/sh
# By fzerorubigd
function detect(){
type -P $1 > /dev/nul  || { echo "Require $1 but not installed. Aborting." >&2; exit 1; }
}


  echo "Working...";
  detect "aria2c"
  detect "pacman"

  # Go into the directory that pacman normally puts downloaded packages
  cd /var/cache/pacman/pkg;

  pacman -Syup > pkg.txt
  echo "" > dl.lst
  cat pkg.txt | egrep -o -e "(ht|f)tp://[^\']+" >> dl.lst
  aria2c -i dl.lst
  pacman -Syu

  echo -e "\nDone! Verify that all packages were installed successfully.\n";

این فقط به در آپدیت میخوره، یعنی اینو اجرا کنید سیستم رو آپدیت میکنه. فقط دیگه سوال نمیپرسه ها!! (قصد دارم تکمیلش کنم حسش نیست فعلا)
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 17 امرداد 1389، 03:39 ب‌ظ
اینم بگو که این ماله آرچه...
اوبونتو کار ها اینو ندید بگیرن... ;)
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 17 امرداد 1389، 03:49 ب‌ظ
اینجا فروم سایر توزیعهای لینوکس هستش :) ولی خوب واسه اوبونتو هم هست یکی. اونو من ننوشتم ولی خیلی از این کار من بهتر بود، فقط بدیش این بود که با axel کار میکرد من کردمش aria (اکسل آخر دانلود خیلی کند میشه) :
# !/bin/sh
# apt-fast v0.02 by Matt Parnell http://www.mattparnell.com, this thing is fully open-source
# if you do anything cool with it, let me know so I can publish or host it for you
# contact me at admin@mattparnell.com

# Special thanks to Travis/travisn000 from the PCLinux Forums for making improvements that allow
# for more complex apt-get commands. See the thread: http://www.pclinuxos.com/forum/index.php/topic,66385.0.html

# Use this just like apt-get for faster package downloading. Make sure to have axel installed.

#Some changes in this file made by fzerorubigd (http://cyberrabbits.net) to use aria2 instead of axel
function detect(){
type -P $1 > /dev/nul  || { echo "Require $1 but not installed. Aborting." >&2; exit 1; }
}

# If the user entered arguments contain upgrade, install, or dist-upgrade
if echo "$@" | grep -q "upgrade\|install\|dist-upgrade"; then
  echo "Working...";
  detect "aria2c"

  # Go into the directory apt-get normally puts downloaded packages
  cd /var/cache/apt/archives/;

  # Have apt-get print the information, including the URI's to the packages
  # Strip out the URI's, and download the packages with Axel for speediness
  # I found this regex elsewhere, showing how to manually strip package URI's you may need...thanks to whoever wrote it
  apt-get -y --print-uris $@ | egrep -o -e "(ht|f)tp://[^\']+" > apt-fast.list
  aria2c -i apt-fast.list

  # Perform the user's requested action via apt-get
  apt-get $@;

  echo -e "\nDone! Verify that all packages were installed successfully. If errors are found, run apt-get clean as root and try again using apt-get directly.\n";

else
   apt-get $@;
fi

اصل کد هم تو یادداشتهاش هست کجاست، فقط این تفاوتش با نسخه اصلی اینه که به جای axel از aria2c استفاده میکنه که من بیشتر باهاش راحتم و به نظر من خیلی بهتره.
اینو به اسم apt-fast.sh ذخیره کنید بعد اجراییش کنید به جای apt-get بزنید apt-fast.sh ، مثلا :
apt-fast.sh install testprogram
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 17 امرداد 1389، 04:05 ب‌ظ
من حس ندارم!! یکی اینا رو ببره یه پست جدید بزنه (هر دو تا رو تو یه پست)
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 17 امرداد 1389، 05:02 ب‌ظ
fzerorubigd +1
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: hadar در 20 امرداد 1389، 10:12 ب‌ظ
بجای arch من پاپی رو پیشنهاد میکنم در جایی که من در یک شبکه دارم استفاده میکنم سرعتش در دانلود چیزی کمتر از ویندوز نیست "
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 20 امرداد 1389، 10:31 ب‌ظ
بجای arch من پاپی رو پیشنهاد میکنم در جایی که من در یک شبکه دارم استفاده میکنم سرعتش در دانلود چیزی کمتر از ویندوز نیست "
من که مطلقا با آرچ و سرعتش مشکل ندارم. اونم که دیدید امیر وارسته مشکل داشت با یه برنامه خاص بود، که پکیجر آرچ هستش. به طور مثال پکیجر اوبونتو حتی خیلی خیلی کندتر از پکیجر آرچه .
کلا سرعت دانلود من با یه برنامه ساده مثل aria2 بیشتر از ویندوز نباشه کمتر نیست.
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: fzerorubigd در 20 امرداد 1389، 10:33 ب‌ظ
و اینکه آرچ خیلی چیزهایی رو داره که توی پاپی حتی فکرش هم نمیتونی بکنی. (مثلا همین AUR)من توصیه میکنم که پاپی رو بیخیال شی و بیای سراغ آرچ. واسه خودت گفتم :)) من که خودم آرچ دارم!!
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 20 امرداد 1389، 10:46 ب‌ظ
و اینکه آرچ خیلی چیزهایی رو داره که توی پاپی حتی فکرش هم نمیتونی بکنی. (مثلا همین AUR)من توصیه میکنم که پاپی رو بیخیال شی و بیای سراغ آرچ. واسه خودت گفتم :)) من که خودم آرچ دارم!!
+1
آرچ بهترینه !

همه چیزش به کنار، داشتن همین AUR واسه ی برتریش کافیه.
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: eMan در 21 امرداد 1389، 12:07 ق‌ظ
دوتا رفیق گلم +1 منم پذیرا باشید  ;D
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: مهدی... در 21 امرداد 1389، 08:28 ق‌ظ
و البته بهترین مزیت آرچ (هنوز آرچ کار نکردم) انتشار رولینگ اونه... اگه یه روزی بیام رو آرچ فقط بخاطر همین قابلیتشه...
عنوان: پاسخ به: سرعت پایین اینترنت
ارسال شده توسط: امیر و در 21 امرداد 1389، 12:55 ب‌ظ
و البته بهترین مزیت آرچ (هنوز آرچ کار نکردم) انتشار رولینگ اونه... اگه یه روزی بیام رو آرچ فقط بخاطر همین قابلیتشه...
یک بار نصب برای همیشه ...